POST Agents/EMail/GetEMailFromDocumentAttachmentId
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/EMail/GetEMailFromDocumentAttachmentId
Get an e-mail based on an email in the archive system and attachment id
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/GetEMailFromDocumentAttachmentId?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
DocId, AttachmentIds, IncludeAttachments
| Property Name | Type | Description |
|---|---|---|
| DocId | Integer | |
| AttachmentIds | Array | |
| IncludeAttachments | Boolean |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: EMailEntity
| Property Name | Type | Description |
|---|---|---|
| To | array | To recipients of e-mail |
| Cc | array | Cc recipients of e-mail |
| Bcc | array | Bcc recipient of e-mail |
| Subject | string | Subject of the e-mail |
| HTMLBody | string | Body formatted in HTML |
| From | EMailAddress | Who did the e-mail originate from |
| Sent | date-time | When was the e-mail sent |
| Size | int32 | Total size of the e-mail |
| Priority | string | Importance of the e-mail |
| Flags | string | Flag status of this mail (unread, replied, deleted ) |
| MessageID | string | Unique id of e-mails |
| PlainBody | string | Body formatted in plain text |
| IsSent | bool | Is this a sent e-mail (not new) |
| EMailSOInfo | EMailSOInfo | Glue between SuperOffice data and an e-mail. |
| ServerId | int32 | Unique id for the e-mail on the server |
| Attachments | array | |
| CustomHeaderList | array | Non standard e-mail headers |
| FolderName | string | Name of folder the e-mail belongs in |
| EmailItemId | int32 | Primary key |
| AccountId | int32 | Account Id |
| ReceivedAt | date-time | Received date time |
| InReplyTo | EMailEnvelope | The envelope of the email this email is a reply to, if it exists |
| RepliedAt | date-time | When this email was replied at |
| HasCalendarData | bool | If this email contains exactly one iCal appointment |
| CalMethod | string | Method stored in the associated iCal appointment. Indicates if the iCal data is a reply, counter proposal etc. |
| CalReplyStatus | string | Reply status stored in calendar data for the ical method is REPLY |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/GetEMailFromDocumentAttachmentId
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"DocId": 657,
"AttachmentIds": [
"soluta",
"perspiciatis"
],
"IncludeAttachments": false
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"To": [
{
"ContactId": 245,
"ContactName": "Acme Corporation",
"PersonId": 353,
"PersonName": "Robert Hansen",
"AssociateId": 955,
"Address": "robert.hansen@acmecorp.com",
"EmailId": 481,
"DuplicatePersonIds": [
632,
147
],
"Name": "Cremin, Boyle and Lowe",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 963
}
}
}
],
"Cc": [
{
"ContactId": 656,
"ContactName": "Bernier, Pfannerstill and Robel",
"PersonId": 332,
"PersonName": "Mills-Effertz",
"AssociateId": 119,
"Address": "ab",
"EmailId": 92,
"DuplicatePersonIds": [
230,
32
],
"Name": "McDermott LLC",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 622
}
}
}
],
"Bcc": [
{
"ContactId": 433,
"ContactName": "Jakubowski Group",
"PersonId": 30,
"PersonName": "Cormier, Boyle and McGlynn",
"AssociateId": 506,
"Address": "totam",
"EmailId": 607,
"DuplicatePersonIds": [
941,
241
],
"Name": "Emmerich-Blick",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 478
}
}
}
],
"Subject": "Project Status Update",
"HTMLBody": "<html><body><p>Please find the project status update attached.</p></body></html>",
"From": null,
"Sent": "2018-01-14T10:11:00.0708347+01:00",
"Size": 34512,
"Priority": "High",
"Flags": "Answered",
"MessageID": "<20240103120000.msg003@acmecorp.com>",
"PlainBody": "Please find the project status update attached.",
"IsSent": false,
"EMailSOInfo": null,
"ServerId": 693,
"Attachments": [
{
"Description": "Meeting Notes Document",
"Filename": "Meeting_Notes.docx",
"Size": 34512,
"Type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"Encoding": "base64",
"Id": "att_20240103_001",
"Disposition": "attachment",
"IsSafeFileExtension": true,
"Stream": "GIF89....File contents as raw bytes...",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 584
}
}
}
],
"CustomHeaderList": [
{
"Name": "Abshire Group",
"Values": [
"dolorem",
"maiores"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 608
}
}
},
{
"Name": "Abshire Group",
"Values": [
"dolorem",
"maiores"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 608
}
}
}
],
"FolderName": "Projects",
"EmailItemId": 332,
"AccountId": 376,
"ReceivedAt": "2020-02-28T10:11:00.0708347+01:00",
"InReplyTo": null,
"RepliedAt": "2000-07-05T10:11:00.0708347+02:00",
"HasCalendarData": true,
"CalMethod": "Add",
"CalReplyStatus": "Accepted",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 74
}
}
}